Comment 1 for bug 489477

Packages for this software appear to exist in Debian already. Ubuntu has semi-automatic tools to sync new packages from Debian so it will most likely appear in the next Ubuntu release.

@KubuntuD410:~$ rmadison -u debian sqlite3
   sqlite3 | 3.3.8-1.1 | etch-m68k | source, m68k
   sqlite3 | 3.3.8-1.1 | oldstable | source, alpha, amd64, arm, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   sqlite3 | 3.5.9-6 | stable | source, alpha, amd64, arm, armel, hppa, i386, ia64, mips, mipsel, powerpc, s390, sparc
   sqlite3 | 3.6.20-1 | testing | source, amd64, armel, hppa, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
   sqlite3 | 3.6.20-1 | unstable | source, alpha, amd64, armel, hppa, hurd-i386, i386, ia64, kfreebsd-amd64, kfreebsd-i386, mips, mipsel, powerpc, s390, sparc
walkerd@KubuntuD410:~$